Name:           squirrelsh
Version:        1.2.6
Release:        1%{?dist}
Summary:        Squirrel Shell

Group:          System/Base
License:        GPL
URL:            http://squirrelsh.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.bz2
# updates for system squirrel3
Patch0:         %{name}-1.2.6-squirrel.patch
# don't set -m32/-m64 flags
Patch1:         %{name}-1.2.6-flags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pcre-devel
BuildRequires:  squirrel3-devel


%description
Squirrel Shell is made as a cross platform alternative to system shells like
sh, bash and other in *nix and command.com (or cmd.exe) in Microsoft Windows.
It is based on Squirrel scripting language which has these features:

    * object-oriented programming;
    * C++-like syntax;
    * dynamic typing;
    * delegation;
    * generators;
    * exception handling;
    * weak references;
    * more on Squirrel's web site (http://www.squirrel-lang.org).


%prep
%setup -q
%patch0 -p1 -b .sq
%patch1 -p1 -b .flags


%build
export CFLAGS="$RPM_OPT_FLAGS"
export LFLAGS="-g"
 ./configure --prefix=%{_usr} --with-pcre=system --with-squirrel=system
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -p -m 0755 bin/%{name} $RPM_BUILD_ROOT%{_bindir}
install -p -m 0644 doc/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README doc/squirrelsh.pdf
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
